# -*- coding: utf-8 -*-
from myredis.myredis import my_redis
from log.mylog import define_logger
import logging

define_logger("/data/logs/ops/clear_redis.log")
log = logging.getLogger(__name__)


def find_key(partten):
    keys = []
    for key in my_redis.keys(pattern=partten):
        if key:
            keys.append(key)
    return keys


def clear_keys(keys):
    for key in keys:
        my_redis.expire(key, 1)
    log.info(f"expirt {len(keys)} success!")


def main():
    partten = "ad::*::num"
    keys = find_key(partten)
    if keys:
        clear_keys(keys)


if __name__ == "__main__":
    main()
