from __future__ import absolute_import
import logging


def define_logger(filename="/data/logs/aa.log", debug=True):
	logger = logging.getLogger("")
	if debug == True:
		logger.setLevel(logging.INFO)
	else:
		logger.setLevel(logging.ERROR)

	# 设置输出格式
	formatter = logging.Formatter('%(asctime)s - %(name)s - %(levelname)s - %(message)s')

	# 设置日志文件处理器
	fh = logging.FileHandler(filename)
	fh.setFormatter(formatter)  # 为这个处理器添加格式

	# 设置屏幕stdout输出处理器
	formatter_stdout = logging.Formatter('%(name)s - %(levelname)s - %(message)s')
	sh = logging.StreamHandler(stream=None)
	sh.setFormatter(formatter_stdout)

	# 把处理器加到logger上
	logger.addHandler(fh)  #    logger.addHandler(sh)
