# -*- coding: utf-8 -*-
from urllib.parse import unquote, quote, urlencode


def my_unquote(data):
    return unquote(data, 'utf-8').replace("'",'"')


def my_quote(data):
    if isinstance(data, dict):
        return urlencode(data)
    elif isinstance(data, str):
        return quote(data)


def split_list(field, data_list):
    data = dict()
    if not data_list:
        return None
    if not (isinstance(field, tuple) and isinstance(data_list, tuple)):
        return None
    if len(field) != len(data_list):
        return None
    for i, v in enumerate(data_list):
        data[field[i]] = v
    return data
