# -*- coding: utf-8 -*-
from __future__ import absolute_import
# pip install flask-restful
# 内部接口入口，用于提供推广系统所需的位置，公司，广告的新增/删除/变更/返回列表等接口
from flask import Flask, jsonify
from flask_restful import reqparse, abort, Api, Resource
from log.mylog import define_logger
import logging
from handler.company import Company
from handler.location import Location
from handler.ad import Ad
from handler.ad_image_upload import Cos_sdk
from handler.priv_map import PrivMaps
from handler.reflush_ad import RelushADinfo
from prod_config import priv_i_port
define_logger("/data/logs/promotion.log")
log = logging.getLogger(__name__)

app = Flask(__name__)
api = Api(app)

# 设置路由

api.add_resource(Company, '/interface/company')
api.add_resource(Location, '/interface/location')
api.add_resource(Ad, '/interface/promotion')
api.add_resource(Cos_sdk, '/interface/cos_upload')
api.add_resource(PrivMaps, '/interface/maps')
api.add_resource(RelushADinfo, '/interface/reflush_adinfo')


if __name__ == '__main__':
	app.run(host='0.0.0.0', debug=True, port=5015)
